package mhp.oee.dao.gen;

import java.util.List;
import mhp.oee.po.gen.ActivityClientPO;
import mhp.oee.po.gen.ActivityClientPOExample;
import org.apache.ibatis.annotations.Param;

public interface ActivityClientPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_client
     *
     * @mbggenerated
     */
    int countByExample(ActivityClientPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_client
     *
     * @mbggenerated
     */
    int deleteByExample(ActivityClientPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_client
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_client
     *
     * @mbggenerated
     */
    int insert(ActivityClientPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_client
     *
     * @mbggenerated
     */
    int insertSelective(ActivityClientPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_client
     *
     * @mbggenerated
     */
    List<ActivityClientPO> selectByExample(ActivityClientPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_client
     *
     * @mbggenerated
     */
    ActivityClientPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_client
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ActivityClientPO record, @Param("example") ActivityClientPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_client
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ActivityClientPO record, @Param("example") ActivityClientPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_client
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ActivityClientPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_client
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ActivityClientPO record);
}